Skip to main content
POST
/
api
/
v1
/
storage
/
sandboxes
/
{sandbox_id}
/
ingest
Ingest Text Explicit
curl --request POST \
  --url https://api.copass.id/api/v1/storage/sandboxes/{sandbox_id}/ingest \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>",
  "source_type": "text",
  "storage_only": false,
  "project_id": "<string>",
  "data_source_id": "<string>"
}
'
{
  "job_id": "<string>",
  "sandbox_id": "<string>",
  "status_url": "<string>",
  "status": "queued",
  "encrypted": false,
  "project_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
X-Encryption-Token
string | null
X-Encryption-Key
string | null

Path Parameters

sandbox_id
string
required

Body

application/json
text
string
required

Text content to ingest

Minimum string length: 1
source_type
string
default:text

Source type: text, conversation, markdown, code, json

storage_only
boolean
default:false

If true, chunk and store but do not run ingestion

project_id
string | null

Optional project override (defaults to user's default project)

data_source_id
string | null

Optional data source association

Response

Successful Response

job_id
string
required
sandbox_id
string
required
status_url
string
required
status
string
default:queued
encrypted
boolean
default:false
project_id
string | null